$(document).on("change","#action",function(e){

    e.preventDefault();
    
    if($("#action").val()==='debit'){
        $(".account").hide();
        $(".debit-type").show();
    }else{
        $(".account").show();
        $(".debit-type").hide();
    }
});

$(document).on("change","#debit-type",function(e){

    e.preventDefault();
    
    if($("#debit-type").val()==='normal-withdrawal'){
        $(".account").show();
    }else{
        $(".account").hide();
    }
});